Module java.desktop
Package javax.swing.plaf.synth

## Class SynthFormattedTextFieldUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TextUI
    - - javax.swing.plaf.basic.BasicTextUI
      - - javax.swing.plaf.basic.BasicTextFieldUI
        - - javax.swing.plaf.synth.SynthTextFieldUI
          - - javax.swing.plaf.synth.SynthFormattedTextFieldUI

All Implemented Interfaces:
  SynthConstants, SynthUI, ViewFactory

    public class SynthFormattedTextFieldUI
    extends SynthTextFieldUI

Provides the Synth L&F UI delegate for `JFormattedTextField`.

Since:
  1.7

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI

`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

### Field Summary

### Fields inherited from interface javax.swing.plaf.synth.SynthConstants

`DEFAULT, DISABLED, ENABLED, FOCUSED, MOUSE_OVER, PRESSED, SELECTED`

### Constructor Summary

Constructors
Constructor and Description
`SynthFormattedTextFieldUI()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ComponentUI` `createUI(JComponent c)` Creates a UI for a JFormattedTextField.
`protected String` `getPropertyPrefix()` Fetches the name used as a key to lookup properties through the UIManager.
`void` `paintBorder(SynthContext context, Graphics g, int x, int y, int w, int h)` Paints the border.

### Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI

`create, getBaseline, getBaselineResizeBehavior`

### Methods inherited from class javax.swing.plaf.basic.BasicTextUI

`create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintSafely, setView, uninstallKeyboardActions, uninstallListeners, uninstallUI, viewToModel, viewToModel`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class javax.swing.plaf.synth.SynthTextFieldUI

`getContext, installDefaults, paint, paintBackground, propertyChange, uninstallDefaults, update`

### Constructor Detail

#### SynthFormattedTextFieldUI

    public SynthFormattedTextFieldUI()

### Method Detail

#### createUI

    public static ComponentUI createUI(JComponent c)

Creates a UI for a JFormattedTextField.

Parameters:
  `c` - the formatted text field
Returns:
  the UI

#### getPropertyPrefix

    protected String getPropertyPrefix()

Fetches the name used as a key to lookup properties through the UIManager. This is used as a prefix to all the standard text properties.

Overrides:
  `getPropertyPrefix` in class `BasicTextFieldUI`
Returns:
  the name "FormattedTextField"

#### paintBorder

    public void paintBorder(SynthContext context,
                            Graphics g,
                            int x,
                            int y,
                            int w,
                            int h)

Paints the border.

Specified by:
  `paintBorder` in interface `SynthUI`
Overrides:
  `paintBorder` in class `SynthTextFieldUI`
Parameters:
  `context` - a component context
  `g` - `Graphics` to paint on
  `x` - the X coordinate
  `y` - the Y coordinate
  `w` - width of the border
  `h` - height of the border